# BEGIN SourceDeps(oneline):
BuildRequires: perl(BerkeleyDB.pm) perl(BerkeleyDB/Manager.pm) perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Engine/HTTP.pm) perl(Catalyst/Plugin/Session/Store.pm) perl(Catalyst/Test.pm) perl(Catalyst/Utils.pm) perl(Class/Data/Inheritable.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Remove.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/WWW/Mechanize/Catalyst.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm) perl(ok.pm) perl(Catalyst/Plugin/Session/State/Cookie.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Catalyst-Plugin-Session-Store-BerkeleyDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: store sessions in a berkeleydb
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FL/FLORA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module will store Catalyst sessions in a Berkeley database.managed by `BerkeleyDB::Manager'.  Unlike other storage mechanisms,
sessions are never lost before their expiration time.

To cleanup old sessions, you might want to make sure
`$c->delete_expired_sessions' is run periodically.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

